# $Revision: 1.80 $, $Date: 2011/09/07 09:49:15 $
#
%define         qtver   4.6.3
%define		kdever	4.5.0

Summary:	Native KDE BitTorrent client
Summary(de.UTF-8):	Ein nativer KDE BitTorrent Klient
Summary(pl.UTF-8):	Natywny klient BitTorrenta dla KDE
Name:		ktorrent
Version:	4.1.2
Release:	1
License:	GPL
Group:		Applications/Networking
Source0:	http://ktorrent.org/downloads/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	8026d9f75257f2e52ac5ba3ce4720d55
URL:		http://ktorrent.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.8.0
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	kde4-kdebase-workspace-devel >= %{kdever}
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdepimlibs-devel >= %{kdever}
BuildRequires:	libktorrent-devel >= 1.0.5
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	strigi-devel >= 0.7.2
BuildRequires:	taglib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KTorrent is a BitTorrent program for KDE.

Its main features are:
- Downloads torrent files
- Upload speed capping, seeing that most people can't upload infinite
  amounts of data.
- Internet searching using various search engines, you can even add
  your own.
- UDP Trackers

%description -l de.UTF-8
KTorrent ist ein BitTorrent Klient für KDE.

Hauptfunktionen sind:
- Torrent-Dateien Download
- Begränzung des Uploades, so dass Mehrheit der Leute nicht unerlaubt
  unbegränzte Datenflüsse sendet
- Durchsuchung des Internets mit hilfe diverser Browser, man kann
  sogar den eigenen Browser dazu schreiben
- UDP Trackers

%description -l pl.UTF-8
KTorrent to klient BitTorrenta dla KDE.

Główne cechy to:
- ściąganie plików torrent
- ograniczanie szybkości uploadu, baczące żeby większość ludzi nie
  przesyłała nieograniczonej ilości danych
- przeszukiwanie Internetu przy użyciu różnych wyszukiwarek, można
  nawet dodać własną
- trackery UDP

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# remove lib symlinks - devel subpackage is not needed anyway
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.so

# remove unsupported langs
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/sr@ijekavian*
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/ar
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/eu
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/se

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ktorrent
%attr(755,root,root) %{_bindir}/ktmagnetdownloader
%attr(755,root,root) %{_bindir}/ktupnptest
%attr(755,root,root) %{_libdir}/kde4/kio_magnet.so
%attr(755,root,root) %{_libdir}/kde4/ktbwschedulerplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktinfowidgetplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktipfilterplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktlogviewerplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktscanfolderplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktsearchplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktstatsplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktupnpplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktwebinterfaceplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktmagnetgeneratorplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktmediaplayerplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktzeroconfplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktdownloadorderplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktshutdownplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktscriptingplugin.so
%attr(755,root,root) %{_libdir}/kde4/ktsyndicationplugin.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_ktorrent.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_ktorrent.so
%attr(755,root,root) %ghost %{_libdir}/libktcore.so.??
%attr(755,root,root) %{_libdir}/libktcore.so.*.*.*
%{_desktopdir}/kde4/ktorrent.desktop
%{_datadir}/apps/ktorrent
%{_datadir}/config.kcfg/magnetsettings.kcfg
%{_datadir}/kde4/services/ktbwschedulerplugin.desktop
%{_datadir}/kde4/services/ktinfowidgetplugin.desktop
%{_datadir}/kde4/services/ktipfilterplugin.desktop
%{_datadir}/kde4/services/ktlogviewerplugin.desktop
%{_datadir}/kde4/services/ktscanfolderplugin.desktop
%{_datadir}/kde4/services/ktsearchplugin.desktop
%{_datadir}/kde4/services/ktstatsplugin.desktop
%{_datadir}/kde4/services/ktupnpplugin.desktop
%{_datadir}/kde4/services/ktwebinterfaceplugin.desktop
%{_datadir}/kde4/servicetypes/ktorrentplugin.desktop
%{_datadir}/kde4/services/ktmagnetgeneratorplugin.desktop
%{_datadir}/kde4/services/ktmediaplayerplugin.desktop
%{_datadir}/kde4/services/ktzeroconfplugin.desktop
%{_datadir}/kde4/services/ktdownloadorderplugin.desktop
%{_datadir}/kde4/services/ktscriptingplugin.desktop
%{_datadir}/kde4/services/ktshutdownplugin.desktop
%{_datadir}/kde4/services/ktsyndicationplugin.desktop
%{_datadir}/kde4/services/magnet.protocol
%{_datadir}/kde4/services/plasma-dataengine-ktorrent.desktop
%{_datadir}/kde4/services/plasma-applet-ktorrent.desktop
%{_iconsdir}/*/*/actions/kt-*.png
%{_iconsdir}/*/*/apps/ktorrent.png
%{_iconsdir}/*/*/actions/kt-*.svgz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ktorrent.spec,v $
Revision 1.80  2011/09/07 09:49:15  marti
- up to 4.1.2
- dropped unused locales

Revision 1.79  2011/04/07 10:32:36  vip
- up to 4.1.0

Revision 1.78  2011/02/23 16:25:28  blekot
- modified previous commend
- shutdown plugin works fine

Revision 1.77  2011/02/23 16:19:41  blekot
- up to 4.0.5
- BR: libktorrent 1.0.5
- added svgz to files

Revision 1.76  2010/08/17 22:28:31  shadzik
- 4.0.2

Revision 1.75  2010/08/05 07:14:47  arekm
- release 5

Revision 1.74  2010/06/02 13:07:56  glen
- unslash and guns

Revision 1.73  2010/06/02 11:18:31  shadzik
- find_lang always after lang removal!

Revision 1.72  2010/06/02 10:47:44  shadzik
- let's call it a typo :P

Revision 1.71  2010/06/01 19:11:48  shadzik
- remove unsupported langs
- rel 2

Revision 1.70  2010/06/01 14:47:07  shadzik
- kill -devel subpackage - what was it for in the first place?
- remove lib symlinks in %install

Revision 1.69  2010/06/01 14:44:32  shadzik
- %files

Revision 1.68  2010/06/01 14:39:26  shadzik
- BR: libktorrent-devel

Revision 1.67  2010/06/01 14:26:42  shadzik
- 4.0.0
- NFY!

Revision 1.66  2010/03/31 12:19:45  shadzik
- 3.3.4

Revision 1.65  2010/03/30 22:00:04  shadzik
- BRs, unifications, blabla
- rel 2

Revision 1.64  2010/01/22 15:25:30  vip
- up to 3.3.3

Revision 1.63  2009/12/03 20:07:07  sparky
- BR: automoc4, boost-devel, gettext-devel, qt4-build, taglib-devel

Revision 1.62  2009/12/03 11:10:19  cactus
- BR: QtScript-devel

Revision 1.61  2009/12/03 01:43:01  cactus
- up to 3.3.1, new shutdown plugin

Revision 1.60  2009/10/27 20:16:57  paszczus
- updated to 3.2.5

Revision 1.59  2009/10/13 15:47:40  paszczus
- updated to 3.2.4

Revision 1.58  2009/07/21 21:53:47  vip
- up to 3.2.2

Revision 1.57  2009/03/11 20:22:35  blues
- suggest kde4-icons in essential package - most kde4libs linked apps will
  use it.

Revision 1.56  2009/03/09 16:48:36  blues
- it can work without icons but is ugly -> suggest them

Revision 1.55  2009/03/08 21:10:24  paszczus
- removed svgz icons; rel 3.

Revision 1.54  2009/03/08 20:59:25  paszczus
- added BR: kde4-kdebase-workspace-devel for plasma-applet; rel 2

Revision 1.53  2009/03/08 20:22:10  paszczus
- updated to 3.2 (KDE4 version)
- new %files
- rel 1

Revision 1.52  2009/02/07 21:54:49  paszczus
- updated to 3.1.6-5

Revision 1.51  2008/12/14 11:38:12  pluto
- updated to 3.1.5, missed BRs added.

Revision 1.50  2008/10/13 18:01:50  witekfl
- utf8

Revision 1.49  2008/08/06 07:56:01  rotom
- up to 3.1.2

Revision 1.48  2008-05-12 01:18:53  shadzik
- up to 3.0.2
- needs kde4
- for kde3 use version 2.x which will be moved to a branch

Revision 1.47  2008-04-21 12:24:36  kosmo
- updated to 2.2.6

Revision 1.46  2008-03-07 06:08:04  ankry
- simplified %files

Revision 1.45  2008-01-29 20:29:53  rotom
- up to 2.2.5

Revision 1.44  2008-01-20 11:33:33  qboosh
- unified

Revision 1.43  2007-11-22 16:37:50  rotom
- up to 2.2.4

Revision 1.42  2007-11-15 16:14:17  vip
- up to 2.2.3

Revision 1.41  2007-11-07 00:27:20  glen
- rel 2

Revision 1.40  2007/10/23 14:48:02  arvenil
- BR: pkgconfig

Revision 1.39  2007/08/29 18:51:25  rotom
- up to 2.2.2

Revision 1.38  2007/07/24 16:19:09  vip
- up to 2.2.1

Revision 1.37  2007/07/05 09:56:53  pluto
- disable all-in-one compilation, fix stl usage, cleanup *.la, release 2.

Revision 1.36  2007/07/04 21:16:02  vip
- missing files, get rid of *.la

Revision 1.35  2007/07/04 21:07:14  shadzik
- hurra hurra 2.2 ist da
- doesn't build with gcc 4.2.0-7

Revision 1.34  2007/04/24 14:48:08  shadzik
- 2.1.4
- not really tested

Revision 1.33  2007/04/02 18:17:50  rotom
- up to 2.1.3

Revision 1.32  2007/03/09 22:44:21  rotom
- up to 2.1.2

Revision 1.31  2007/03/05 20:36:22  vip
- up to 2.1.1

Revision 1.30  2007/02/24 13:30:06  rotom
- up to 2.1
- ac260-lt patch added

Revision 1.29  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.27  2006/11/24 01:20:29  shadzik
- URL and Source0

Revision 1.26  2006/10/12 21:46:46  glen
- rel 2

Revision 1.25  2006/10/12 17:37:33  glen
- -z now not recognized on ppc and alpha

Revision 1.24  2006/10/12 14:51:34  glen
- add kde-common-LD_quote.patch

Revision 1.23  2006/10/10 18:07:27  vip
- up to 2.0.3

Revision 1.22  2006/08/31 20:14:14  pluto
- patch for autoconf-2.60.
- lots of link-failures. looks like --as-needed kills kde stuff.

Revision 1.21  2006/08/30 18:46:59  shadzik
- 2.0.2

Revision 1.20  2006/08/21 18:37:36  shadzik
- 2.0.1

Revision 1.19  2006/08/08 17:41:05  shadzik
- 2.0 stable

Revision 1.18  2006/07/18 20:26:05  shadzik
- one more file

Revision 1.17  2006/07/18 20:17:41  shadzik
- 2.0rc1

Revision 1.16  2006/06/04 04:00:39  charles
- BR: gmp-devel

Revision 1.15  2006/05/20 14:12:33  shadzik
- typo

Revision 1.14  2006/05/20 14:06:40  shadzik
- up to 2.0 beta1
- de

Revision 1.13  2006/04/17 23:47:56  charles
- BR: gettext-devel

Revision 1.12  2006/01/31 21:37:48  prism
- ok, lets forget those nils

Revision 1.11  2006/01/31 21:35:29  prism
- updated to 1.2 stable

Revision 1.10  2006/01/20 17:07:07  prism
- up to 1.2rc2

Revision 1.9  2006/01/15 18:59:12  pluto
- versioning fixed, knetwork classes enabled.

Revision 1.8  2006/01/09 20:09:06  qboosh
- .so perms

Revision 1.7  2006/01/01 21:38:56  mkierus
- up to 1.2rc1

Revision 1.6  2005/12/06 20:13:30  glen
- rel 1

Revision 1.5  2005/12/06 20:09:13  qboosh
- pl

Revision 1.4  2005/12/06 19:10:21  glen
- missing dirs, simplified

Revision 1.3  2005/12/05 23:29:11  glen
- lang files fix

Revision 1.2  2005/12/05 23:26:08  glen
- qt fix and rest of kde stuff (thx arekm)

Revision 1.1  2005/12/05 23:17:13  glen
- new (thanks i am dakh)
